package com.brilliance.isc.common.api.bptbck.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.vo.component.bptbck.BptbckVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BptbckRequest<T extends BizInfoVo> extends AbstractCommonVo {

    /**
     * 当前交易码
     */
    private String transName = NULLSTR;

    /**
     * 当前经办人员ID
     */
    private String userId = NULLSTR;

    /**
     * 业务摘要信息
     */
    private T rec;

    private BptbckVo bptbck;

    @Override
    public void reset() {
        if (rec == null) {
            rec = (T) new BizInfoVo();
        }
        rec.reset();
        if (bptbck == null) {
            bptbck = new BptbckVo();
        }
        bptbck.reset();
    }
}
